#about {
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    background-color: #F04F4F;
}

.sub-container {
    padding: 2rem;
    border-radius: 10px;
    background-image: url(/assets/png/bg.png);
    background-size: cover;
    box-shadow: 10px 10px 10px rgb(180, 7, 7);
}

#about h2 {
    font-size: 3rem;
    margin-bottom: 1rem;
    text-align: center;
    filter: drop-shadow(2px 10px 6px rgb(121, 1, 1) );
    color: #ffffff;
}

#about div {
    text-align: center;
    max-width: 600px;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 1rem;

}


#about img {
    width: 200px;
    height: auto;
    border-radius: 10%;
    margin-top: 1rem;
}





/* skills */

.about-skills {
    margin-top: 2rem;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(120px, 1fr));
    border-radius: 10px;
    gap: 5px;
    background-color: #ffffff;
    background-size: cover;
    box-shadow: 10px 10px 10px rgb(180, 7, 7);
}


.about-skills h4 {
    color: #ff0606;
    position: relative;
    padding: 10px 10px 10px 10px;
    border-radius: 8px;
    border: 1px solid #ff0101;
    margin-left: 15px;
}

.skills-container {

    background-color: #f0f0f0;
    padding: 10px;
    border-radius: 10px;
    display: flex;
    flex-wrap: wrap;

    gap: 10px;
    

}

.skill-item {
    display: flex;
    gap: 6px;
}

.skill-title {
    font-weight: bold;
}



/* skill label */
    .skill-label {
    width: 80px;
    text-align: right;
    font-size: 0.9rem;
    margin-right: 10px;
    color: #ffffff;
    position: absolute;
    
}

/* bar */   
.bar {
    width: 100px;
    height: 15px;
    background-color: #bdbdbd;
    border-radius: 8px;
    overflow: hidden;
    position: relative;

}

/* progress */
.progress {
    height: 100%;
    background-color: #ff0000;
    border-radius: 8px ;
    position: absolute;
    top: 0;
    left: 0;
    transform-origin: left;

}

.skill-label {
    position:   static;
    margin-left: 5px;
    font-size: 0.6rem;
    color: #ffffff;
}

.progress.html {
    width: 80%;
}

.progress.css {
    width: 60%;
    
}

.progress.js {
    width: 50%;
}

.progress.flutter {
    width: 40%;
}

.progress.php {
    width: 10%;
}


.progress.react {
    width: 0%;
}

.progress.nodejs {
    width: 20%;
}

@media (max-width: 768px) {


    #about h2 {
    font-size: 2rem;
}
    .sub-container {
    text-align: center;
    display: flex;
    flex-direction: column;
    padding: 1px;
    border-radius: 10px;
    background-image: url(/assets/png/bg.png);
    background-size: cover;
    box-shadow: 10px 10px 10px rgb(180, 7, 7);
    font-size: 12px;
}
#about img {

    height: auto;
    border-radius: 10%;
    margin-bottom: 10px;
}


}

